openSUSE Security Update : go1.8 (openSUSE-2018-235)

High Nessus Plugin ID 107202


The remote openSUSE host is missing a security update.


This update for go1.8 fixes the following issues :

Security issues fixed :

- CVE-2018-6574: 'go get' allows for remote command execution during source code build (bsc#1080006).

Bug fixes :

- bsc#1082409: Review dependencies (requires, recommends and supports)

This update was imported from the SUSE:SLE-12:Update update project.


Update the affected go1.8 packages.

See Also

Plugin Details

Severity: High

ID: 107202

File Name: openSUSE-2018-235.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2018/03/08

Modified: 2018/03/14

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:go1.8, p-cpe:/a:novell:opensuse:go1.8-debuginfo, p-cpe:/a:novell:opensuse:go1.8-debugsource, p-cpe:/a:novell:opensuse:go1.8-race, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/03/07

Reference Information

CVE: CVE-2018-6574